WorldWideScripts.net Delivering the best Add-Ons in more than 37 languages.

中文(简体), English, हिन्दी/हिंदी, Español/Castellano, العربية, Русский язык, Français, 中文 (台灣), বাংলা, Bahasa Indonesia, اردو, Português, Deutsch, Bahasa Melayu (بهاس ملايو‎), 日本語 (にほんご), فارسی, Italiano, తెలుగు, Türkçe, ગુજરાતી, Język polski/polszczyzna, Tiếng Việt, ಕನ್ನಡ, Українська мова, ไทย
PHP Scripts / Miscellaneous

PHP Version Finder

— Add-On pour WorldWideScripts.net

@fr1wwsAbonnez-vous à notre RSS pour rester à jour!

Nouveau! Suivez-nous que vous le souhaitez!


PHP Version Finder - CodeCanyon Item for Sale

Ads

Ad: Bluehost hosting

Suis moi sur Twitter Suivez-moi sur G + Suivez-moi sur CodeCanyon live Demo

Démo - Non Base de données (estropiés)
Demo - Base de données (paralysé)
Les démos sont estropiés! Nous avons brouillé la vraie version de chaque fonction et l'extension.

PHP Version Finder - Mise à jour à v 1.0.3c 09/12/2010

Trouver quelle version de PHP votre script nécessite. Lorsqu'on lui a demandé quelle version de PHP est nécessaire pour exécuter nos scripts nous ne disposions pas de réponse définitive. Nous avons créé ce script pour déterminer la version de PHP, et ensuite nous avons pris à un autre niveau en recherchant des fonctions dépréciées. Mais nous ne cessons juste à ce. Nous avons inclus les extensions PHP et des constructions de langage. Nous avons presque appelions bon à cela, mais nous nous demandions... combien de fois nous avons utilisé ces fonctions. L'utilisation excessive de la même fonction peut être dégradant sur la performance. Suivi combien de fois une fonction est utilisée peut aider à déterminer si une "fonction utilisateur" peut être créé pour réduire le code et augmenter les performances.

Détection

PHP Version Finder suit: 3044 Fonctions PHP, 2260 Extensions PHP, 23 Langue Construits, 19 Autres suggestions, 7 Conseils / Astuces / Notes. (Plus 69 Expérimental, 20 Obsolète, 47 fonctions "svn")
Le code n'a pas besoin d'être complète, ni le fonctionnement. Il n'a même pas de sens. Tant qu'il est entre <? Php et?> Il sera évalué. Demo Crippled - La démo a été paralysé pour empêcher les gens de l'utiliser plutôt que de l'acheter.

Arrêtez Deviner!

À vrai dire - la plupart des développeurs "ball-park" quelle version de PHP est requise en rappelant quelques fonctions «clés» qu'ils utilisaient. Avec PHP Version Finder vous pouvez savoir avec certitude quelle version PHP est réellement nécessaire!
Ne pas deviner! - Exécuter PHP Version Finder sur votre script pour savoir avec certitude ce que verions de PHP est nécessaire pour faire fonctionner votre script!

Détection Obsolète

PHP Version Finder vous permet de savoir si toutes les fonctions que vous avez utilisés sont déconseillés.
Détection Obsolète - Vérifiez vos scripts pour les fonctions dépréciées

Deux versions

La version de PHP Finder ne nécessite pas une base de données. Cependant, pour ceux d'entre vous qui préfèrent utiliser une base de données, le script inclut une version de base de données.
Optionhal Database - Version PHP finder ne nécessite pas une base de données, cependant, une autre version est fournie pour ceux qui ne veulent utiliser une base de données.
Pourquoi deux versions?
Le tout se résume à des numéros. S'il y a beaucoup de fonctions PHP, la version NON base de données est plus rapide. S'il n'y a que quelques fonctions, la version de base de données est plus rapide. Comment beaucoup plus rapide? Eh bien, elle est mesurée en micro secondes. Donc pas vraiment perceptible. Après nous avons fait la version de base de données, nous avons décidé qu'il ne valait pas l'effort que sa performance n'a pas été notable différent. Nous avons décidé de l'inclure parce qu'il était déjà construit - un billet de faveur si vous le souhaitez.

Installation

L'installation est simple. Téléchargez le répertoire, modifier deux paramètres et vous avez terminé.
Installion - Upload 1 répertoire sur votre serveur, modifier un fichier de configuration et votre prêt à partir!

Entrées

Vous pouvez télécharger un fichier à partir de votre ordinateur, analyser un fichier ou un répertoire entier sur le serveur, ou de coller le code dans une boîte pour le traitement.
Entrées multiples - Vous pouvez télécharger un fichier, scanner un répertoire ou vérifier un bloc de code.

Autres suggestions

Si la version de PHP Finder trouve les fonctions qui sont obsolètes, il vous donnera des suggestions alternatives qui pourraient remplacer la fonction dépréciée.
Autres Suggestions - Vous pouvez faire votre script Par exemple:
si vous utilisez file_put_contents (qui nécessite PHP 5), la version de PHP Finder vous permettra de savoir que vous pourriez utiliser fwrite place qui pourrait abaisser la version requise vers le bas pour PHP 4. Non seulement cela, mais il y a une note jointe à file_put_contents qui vous montre le code à utiliser pour faire file_put_contents rétrocompatible.

Achetez PHP Version Finder MAINTENANT!

Rendre la vie facile! Trouver les fonctions dépréciées, obtenir des suggestions rétrocompatibles et savoir quelle version de PHP est nécessaire pour exécuter vos scripts
Achetez maintenant - Rendre la vie facile, trouver des fonctions dépréciées, obtenir des suggestions en arrière compatibles et de savoir quelle version de PHP est nécessaire pour exécuter vos scripts.

Caractéristiques actuelles (v 1.0.0) - 12/1/2010

  • Base de données en option
  • Détection Obsolète
  • Fichier Upload Processing
  • Traitement Directory
  • Collé Processing code
  • AutoComplete
  • Syntaxe surligneur
  • 3044 Fonctions PHP
  • 2260 Extensions PHP
  • 23 Constructs Langue
  • 19 Autres suggestions
  • 7 Conseils / Astuces / Notes
  • Ainsi que 69 Fonctions expérimentales
  • Plus 20 Fonctions DECONSEILLE
  • Plus 47 "svn" / Fonctions inconnues

Mise à jour v 1.0.1 03/12/2010

  • Avertissements Remarque fixes
  • "variables indéfinies" Erreurs fixes
  • Erreurs d'orthographe fixes
  • Fichier d'aide mis à jour pour refléter les changements
  • Ajouté Explication des licences
  • Nettoyé le «Rapport de fichier"

Mise à jour v 1.0.2 04/12/2010

  • Avertissements Remarque fixes
  • "variables indéfinies" Erreurs fixes
  • Fichier d'aide mis à jour pour refléter les changements

Mise à jour v 1.0.3c 09/12/2010

  • Code Nettoyé
  • Réécriture comment les statistiques sont comptés.
  • Réécriture de la "Rapport de fichier"

Télécharger
D'autres éléments de ce typeTous les composants de cet auteur
CommentairesFoire aux questions et réponses

Propriétés

Créé:
3 Décembre 10

Dernière mise à jour:
10 Décembre 10

Haute résolution:
Non

Navigateurs compatibles:
IE7, IE8, Safari, Opera

fichiers inclus:
JavaScript JS, HTML, CSS, PHP, SQL

Une version de logiciel:
PHP 4.x, 5.x PHP, PHP 5,0 à 5,2, PHP 5.3, MySQL 5.x

Mots-clés

commerce é, lectronique, commerce é, lectronique, Tous les articles, avertissement dé, pré, cié, e, version php, coloration syntaxique